您尚未登录。

#1 2013-10-15 14:44:52

依云
性别女,请正确称呼
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,764
个人网站

fcitx-lilydjwg-git 用户请手动更新

由于版本号增加了一位导致 pacman 判断失误。为升级,需要手动命令 pacman 安装新版:

sudo pacman -S fcitx-lilydjwg-git

在线

#2 2020-02-08 13:13:23

mindulmindul
会员
注册时间: 2020-02-08
帖子: 1

Re: fcitx-lilydjwg-git 用户请手动更新

fcitx-lilydjwg-git是用来做什么的,是fcitx的替代品吗

离线

#3 2020-02-09 00:43:07

yw662
大会员
注册时间: 2018-10-10
帖子: 295

Re: fcitx-lilydjwg-git 用户请手动更新

由于版本号增加了一位?
pacman这不行啊


ecmascript是世界上最好的语言

离线

#4 2020-03-11 09:22:15

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

依云,为什么Manjaro 19上安装了fcitx-lilydjwg-git以后fcitx托盘的启动时间明显延长呢?为了让搜狗拼音正常运行又不得不依赖你的包。今天更新到最新版以后搜狗拼音只能在TIM里面使用了,在Linux原生应用,比如Firefox、VS Code里彻底用不了了。现在打中文都得在TIM里预先输入好然后复制过去。每当我在处理重大项目需要大量搜索的时候搜狗输入法总会出各种问题来添乱,想死的心都有,我干脆用英文搜索算了QAQ

离线

#5 2020-03-11 09:42:14

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

Probing GTK2 input method modules...
Cannot load module /usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so: GModule (/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so does not export GTK+ IM module API: GModule (/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
错误: 命令未能被正确执行
Probing GTK3 input method modules...
Cannot load module /usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so: GModule (/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so does not export GTK+ IM module API: GModule (/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)

离线

#6 2020-03-11 10:54:35

crc2020
会员
注册时间: 2020-03-11
帖子: 3

Re: fcitx-lilydjwg-git 用户请手动更新

这几天fcitx-lilydjwg-git连着更新了两次都遇到这个问题,装完更新后所有gtk软件都没法输入中文,原因是gtk-2.0和3.0的fcitx输入法模块没有成功安装。
暂时解决办法:用pacman -Sw命令下载最新的fcitx-gtk2和fcitx-gtk3安装包但不安装(安装的话会跟fcitx-lilydjwg-git冲突),从里面各自解压出im-fcitx.so文件分别拷贝到/usr/lib/gtk-2.0/2.10.0/immodules/和/usr/lib/gtk-3.0/3.0.0/immodules/(版本不要搞混),然后运行如下命令:

sudo gtk-query-immodules-2.0 --update-cache
sudo gtk-query-immodules-3.0 --update-cache

重启后gtk+软件中文输入正常。


Baytars 说:

Probing GTK2 input method modules...
Cannot load module /usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so: GModule (/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so does not export GTK+ IM module API: GModule (/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
错误: 命令未能被正确执行
Probing GTK3 input method modules...
Cannot load module /usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so: GModule (/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so does not export GTK+ IM module API: GModule (/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)

离线

#7 2020-03-11 13:43:34

依云
性别女,请正确称呼
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,764
个人网站

Re: fcitx-lilydjwg-git 用户请手动更新

Manjaro 用户请注意:新的 fcitx-lilydjwg-git 需要 glib2 2.64.0-1。如果你在使用更旧的版本可能会有问题。请考虑降级 fcitx-lilydjwg-git 到之前的版本。

在线

#8 2020-03-11 16:23:11

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

好的感谢!

crc2020 说:

这几天fcitx-lilydjwg-git连着更新了两次都遇到这个问题,装完更新后所有gtk软件都没法输入中文,原因是gtk-2.0和3.0的fcitx输入法模块没有成功安装。
暂时解决办法:用pacman -Sw命令下载最新的fcitx-gtk2和fcitx-gtk3安装包但不安装(安装的话会跟fcitx-lilydjwg-git冲突),从里面各自解压出im-fcitx.so文件分别拷贝到/usr/lib/gtk-2.0/2.10.0/immodules/和/usr/lib/gtk-3.0/3.0.0/immodules/(版本不要搞混),然后运行如下命令:

sudo gtk-query-immodules-2.0 --update-cache
sudo gtk-query-immodules-3.0 --update-cache

重启后gtk+软件中文输入正常。


Baytars 说:

Probing GTK2 input method modules...
Cannot load module /usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so: GModule (/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so does not export GTK+ IM module API: GModule (/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
错误: 命令未能被正确执行
Probing GTK3 input method modules...
Cannot load module /usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so: GModule (/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)
/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so does not export GTK+ IM module API: GModule (/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so) initialization check failed: GLib version too old (micro mismatch)

离线

#9 2020-03-11 16:26:45

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

感谢依云。今天又发现WPS能用搜狗。
总的来说,安装了fcitx-lilydjwg-git以后fcitx随系统启动慢的问题是长期存在的,但是缺了这个包,搜狗输入法就不能正常使用。鱼和熊掌不可兼得,希望能够修复这个困扰了我很久的问题,万分感谢!

依云 说:

Manjaro 用户请注意:新的 fcitx-lilydjwg-git 需要 glib2 2.64.0-1。如果你在使用更旧的版本可能会有问题。请考虑降级 fcitx-lilydjwg-git 到之前的版本。

离线

#10 2020-03-12 22:57:06

crc2020
会员
注册时间: 2020-03-11
帖子: 3

Re: fcitx-lilydjwg-git 用户请手动更新

fcitx启动慢的问题我也遇到过,可能主要是搜狗输入法自己的问题。我发现如果开机不开启网络,或者把wifi优先自动连接的等级调低(我把所有WiFi的优先自动连接值都设成了-10),让搜狗输入法启动时不会联网,fcitx的启动也会恢复正常,希望能帮到你。

Baytars 说:

感谢依云。今天又发现WPS能用搜狗。
总的来说,安装了fcitx-lilydjwg-git以后fcitx随系统启动慢的问题是长期存在的,但是缺了这个包,搜狗输入法就不能正常使用。鱼和熊掌不可兼得,希望能够修复这个困扰了我很久的问题,万分感谢!

依云 说:

Manjaro 用户请注意:新的 fcitx-lilydjwg-git 需要 glib2 2.64.0-1。如果你在使用更旧的版本可能会有问题。请考虑降级 fcitx-lilydjwg-git 到之前的版本。

离线

#11 2020-03-13 09:02:07

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

好的,感谢你的经验。同时我也发现fcitx启动快慢跟TIM启动早晚有关,如果我一进入桌面就启动TIM,右下的fcitx托盘图标很快就出来了。

crc2020 说:

fcitx启动慢的问题我也遇到过,可能主要是搜狗输入法自己的问题。我发现如果开机不开启网络,或者把wifi优先自动连接的等级调低(我把所有WiFi的优先自动连接值都设成了-10),让搜狗输入法启动时不会联网,fcitx的启动也会恢复正常,希望能帮到你。

Baytars 说:

感谢依云。今天又发现WPS能用搜狗。
总的来说,安装了fcitx-lilydjwg-git以后fcitx随系统启动慢的问题是长期存在的,但是缺了这个包,搜狗输入法就不能正常使用。鱼和熊掌不可兼得,希望能够修复这个困扰了我很久的问题,万分感谢!

依云 说:

Manjaro 用户请注意:新的 fcitx-lilydjwg-git 需要 glib2 2.64.0-1。如果你在使用更旧的版本可能会有问题。请考虑降级 fcitx-lilydjwg-git 到之前的版本。

离线

#12 2020-05-01 16:25:19

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

今天更新 fcitx-lilydjwg-git 后发现 fcitx-config 里面的中文以外语言键盘都消失了,运行 fcitx-diagnose 以后发现如下问题:
```
3.  Addon Libraries:

    **Cannot find following required libraries for `fcitx-keyboard.so` of addon `fcitx-keyboard`.**

        libjson-c.so.5

    **Cannot find following required libraries for `fcitx-xkbdbus.so` of addon `fcitx-xkbdbus`.**

        libjson-c.so.5

...

2.  Default input methods:

    **Your first (default) input method is sogoupinyin instead of a keyboard input method. You may have trouble deactivate fcitx.**
```
求助如何解决这个问题,现在搜狗成为第一输入法,而且打出候选词界面仅仅能看见一个蓝框加中间透明背景,显示第一个候选词,字体白色

离线

#13 2020-05-01 16:47:06

依云
性别女,请正确称呼
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,764
个人网站

Re: fcitx-lilydjwg-git 用户请手动更新

Baytars 说:

今天更新 fcitx-lilydjwg-git 后发现 fcitx-config 里面的中文以外语言键盘都消失了,运行 fcitx-diagnose 以后发现如下问题:
```
3.  Addon Libraries:

    **Cannot find following required libraries for `fcitx-keyboard.so` of addon `fcitx-keyboard`.**

        libjson-c.so.5

    **Cannot find following required libraries for `fcitx-xkbdbus.so` of addon `fcitx-xkbdbus`.**

        libjson-c.so.5

...

2.  Default input methods:

    **Your first (default) input method is sogoupinyin instead of a keyboard input method. You may have trouble deactivate fcitx.**
```
求助如何解决这个问题,现在搜狗成为第一输入法,而且打出候选词界面仅仅能看见一个蓝框加中间透明背景,显示第一个候选词,字体白色

请更新 fcitx-lilydjwg-git 到今天的版本(你可能需要找一个同步及时的镜像)。

在线

#14 2020-05-01 17:05:14

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

我用的确实是今天的版本,但是虽然下面的命令显示两个库存在, fcitx-config 还是一样的相反的输出,不知道为什么。
```
$ ls /usr/lib/fcitx/ | grep xkb
fcitx-xkbdbus.so
fcitx-xkb.so

$ ls /usr/lib/fcitx/ | grep keyboard
fcitx-keyboard.so
```

依云 说:
Baytars 说:

今天更新 fcitx-lilydjwg-git 后发现 fcitx-config 里面的中文以外语言键盘都消失了,运行 fcitx-diagnose 以后发现如下问题:
```
3.  Addon Libraries:

    **Cannot find following required libraries for `fcitx-keyboard.so` of addon `fcitx-keyboard`.**

        libjson-c.so.5

    **Cannot find following required libraries for `fcitx-xkbdbus.so` of addon `fcitx-xkbdbus`.**

        libjson-c.so.5

...

2.  Default input methods:

    **Your first (default) input method is sogoupinyin instead of a keyboard input method. You may have trouble deactivate fcitx.**
```
求助如何解决这个问题,现在搜狗成为第一输入法,而且打出候选词界面仅仅能看见一个蓝框加中间透明背景,显示第一个候选词,字体白色

请更新 fcitx-lilydjwg-git 到今天的版本(你可能需要找一个同步及时的镜像)。

离线

#15 2020-05-01 17:09:17

Baytars
会员
注册时间: 2020-03-11
帖子: 26

Re: fcitx-lilydjwg-git 用户请手动更新

出现问题的版本号:fcitx-lilydjwg-git-2:4.2.9.7.20200501-1

离线

页脚